summaryrefslogtreecommitdiff
path: root/tests/rm/isatty
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2004-06-23 15:07:00 +0000
committerJim Meyering <jim@meyering.net>2004-06-23 15:07:00 +0000
commit112efa81f24ead69a3a9b6ae76f601911535352c (patch)
treedc10a3855c2b2a118ebf08a2df2710377dcff8d7 /tests/rm/isatty
parent11f05299f96e39d58356f83d09811487235c5f4c (diff)
downloadcoreutils-112efa81f24ead69a3a9b6ae76f601911535352c.tar.xz
Replace all occurrences of `(exit N); exit' with
`(exit N); exit N'. Otherwise, those many tests could exit with improper exit status when exiting via e.g., a trapped interrupt. Thanks to a report from Bob Proulx.
Diffstat (limited to 'tests/rm/isatty')
-rwxr-xr-xtests/rm/isatty4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/rm/isatty b/tests/rm/isatty
index 31fd0f495..8916e6ac1 100755
--- a/tests/rm/isatty
+++ b/tests/rm/isatty
@@ -20,7 +20,7 @@ cd $tmp || framework_failure=1
if test $framework_failure = 1; then
echo 'failure in testing framework' 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
@@ -56,4 +56,4 @@ echo x >> out
cmp out exp || fail=1
test $fail = 1 && diff out exp 2> /dev/null
-(exit $fail); exit
+(exit $fail); exit $fail